////////////////////////////////////////////////////////////////////////////////
//
//  IBM Confidential
//
//  OCO Source Materials
//
//  The source code for this program is not published or otherwise
//      divested of its trade secrets, irrespective of what has
//      been deposited with the U.S. Copyright Office.
//
//  Copyright:  Licensed Materials - Property of IBM
//
//              xxxx-xxx (C) Copyright IBM Corp. 1999, 2000
//              All rights reserved.
//
//              U.S. Government Users Restricted Rights -
//              Use, duplication or disclosure restricted by
//              GSA ADP Schedule Contract with IBM Corp.
//
// Product: IBM WebSphere Host Publisher
//
//
// Change History:
// Flag Reason          Date    Developer       Comment
// --------------------------------------------------------------
//

package IntegrationObject;

import com.ibm.HostPublisher.IntegrationObject.*;
import com.ibm.HostPublisher.Server.Ras;

import java.lang.*;
import java.beans.*;


public class Mcat_auth extends HPubHODCommon  
{

  // Generated Objects
  HAOVariable authlast = new HAOVariable("","authlast","authlast",false,"",0,0,8,15,HAO_VARIABLE_SIMPLE);
  HAOVariable first = new HAOVariable("","first","first",false,"",0,0,63,15,HAO_VARIABLE_SIMPLE);
  HAOVariable auth = new HAOVariable("auth","null","auth",true,"",0,0,63,0,HAO_VARIABLE_SIMPLE);

  HAOVariable authlastlast_name = new HAOVariable("","authlast","authlastlast_name",false,"",0,0,8,15,HAO_VARIABLE_ARRAY);
  HAOVariable firstfirst = new HAOVariable("","first","firstfirst",false,"",0,0,63,15,HAO_VARIABLE_ARRAY);


  // Contructor
  public Mcat_auth()
  { // Generated vector population
    vHAOVariables.addElement(authlast);
    vHAOVariables.addElement(first);
    vHAOVariables.addElement(auth);


    vHAOVariables.addElement(authlastlast_name);
    vHAOVariables.addElement(firstfirst);


    hPubStartPoolName  = null;
    hPubStartChainName = new String("session");
    hPubStartType         = BEAN_START_FROM_CONNECTION;


    hPubEndChainName   = new String("session");
    hPubEndType           = BEAN_END_TO_CONNECTION;


    stringHODMacroFilename = "Mcat_auth.macro";
    stringBeanName = new String("Mcat_auth");

   }


  // *************************************************************************
  /* Generated Setters */

  public void setAuth( String stringToBe)
  {
    hPubErrorOccurred = 0;
    allowTracing();  // call made in case started from IDE and was not able to
                     // start tracing on the constructor
    if (HPubTracingOn) { Ras.traceEntry( this.getClass().getName(),"setAuth(String)", stringToBe); }

    auth.stringValue = stringToBe;
  }

  /* Generated Getters */
  public String getAuthlast()
  {
     hPubErrorOccurred = 0;
     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getAuthlast simple: ", authlast.stringValue); }
     return (authlast.stringValue);
  }
  public String getFirst()
  {
     hPubErrorOccurred = 0;
     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getFirst simple: ", first.stringValue); }
     return (first.stringValue);
  }
  public String getAuth()
  {
     hPubErrorOccurred = 0;
     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getAuth simple: ", auth.stringValue); }
     return (auth.stringValue);
  }

  public synchronized String getAuthlastlast_name(int i)
  {
     hPubErrorOccurred = 0;
     if (  (authlastlast_name.oMultiValues.size() != 0)
         &&(i >= 0)
         &&(i < authlastlast_name.oMultiValues.size())
        )
     { 
       if (HPubTracingOn)
       { Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getAuthlastlast_name array: ",
           integerX.toString(), (String) authlastlast_name.oMultiValues.elementAt(i));
       }

       return ( (String) authlastlast_name.oMultiValues.elementAt(i));
     }
     else
     { if (HPubTracingOn)
       {
         Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getAuthlastlast_name array element ", "Throwing out of bounds on iteration: ",
           integerX.toString());
       }

       throw new ArrayIndexOutOfBoundsException("Row is Out of Bounds");
     }
  }

  public String[] getAuthlastlast_name()
  {
     hPubErrorOccurred = 0;

     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getAuthlastlast_name ", "array all"); }

     authlastlast_name.oStringArray = new String[authlastlast_name.oMultiValues.size()];
     authlastlast_name.oMultiValues.copyInto(authlastlast_name.oStringArray);
     return (String[])authlastlast_name.oStringArray.clone();
  }
  public synchronized String getFirstfirst(int i)
  {
     hPubErrorOccurred = 0;
     if (  (firstfirst.oMultiValues.size() != 0)
         &&(i >= 0)
         &&(i < firstfirst.oMultiValues.size())
        )
     { 
       if (HPubTracingOn)
       { Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getFirstfirst array: ",
           integerX.toString(), (String) firstfirst.oMultiValues.elementAt(i));
       }

       return ( (String) firstfirst.oMultiValues.elementAt(i));
     }
     else
     { if (HPubTracingOn)
       {
         Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getFirstfirst array element ", "Throwing out of bounds on iteration: ",
           integerX.toString());
       }

       throw new ArrayIndexOutOfBoundsException("Row is Out of Bounds");
     }
  }

  public String[] getFirstfirst()
  {
     hPubErrorOccurred = 0;

     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getFirstfirst ", "array all"); }

     firstfirst.oStringArray = new String[firstfirst.oMultiValues.size()];
     firstfirst.oMultiValues.copyInto(firstfirst.oStringArray);
     return (String[])firstfirst.oStringArray.clone();
  }


  public String getHPubBeanName()
  { return new String("Mcat_auth");
  }

  public void DoTheWork()
  {
    DoTheWork(this);
  }

}


